## hedley-langs 0.1

=== Makefile ===
all: debian/languagelist.data check-data

LIST     = languagelist

debian/languagelist.data: $(LIST)
	LC_COLLATE=C ./mklanguagelist.data $(LIST) debian/languagelist.data

check-data:
	# Check that the listed locale is supported, to make sure it will work.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f6 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

clean:
	$(RM) debian/languagelist.data

=== debian/changelog ===
hedley-langs (0.1) lucid; urgency=low

  * Initial release.  Makefile and mklanguagelist.data for generating
    languagelist.data.gz from languagelist based on files from localechooser.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 28 Jul 2010 12:35:54 -0400

=== debian/control ===
Source: hedley-langs
Section: admin
Priority: optional
Maintainer: Debbie Beliveau <debbie.beliveau@canonical.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Vcs-Bzr: lp:~hedley-team/hedley/hedley-langs

Package: hedley-langs
Architecture: all
Depends: ${misc:Depends}
Recommends: ubiquity
Description: hedley language list package
 This package provides the supported language list to oem-config.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=hedley-langs

%:
	dh $@


override_dh_install:

	gzip -c debian/languagelist.data \
		>debian/$(PACKAGE)/usr/share/oem-languages/languagelist.data.gz
	chmod 0644 debian/$(PACKAGE)/usr/share/oem-languages/languagelist.data.gz
	dh_install
